#include <bits/stdc++.h>

using namespace std;

long long find_index(vector<long long> niz, long long n, long long& levo, long long &desno)
{
    long long index = -1;
    for (long long i = 0; i < niz.size(); i++)
    {
        if (n == niz[i])
        {
            index = i;
            continue;
        }

        if (index == -1)
            ++levo;
        else
            ++desno;

    }
    return index;
}

int main()
{
    ios::sync_with_stdio(0); cin.tie(0);

    long long n, q;
    cin >> n >> q;
    
    long long s, p;
    vector<long long> niz;
    vector<long long> odgovori;

    for (long long i = 0; i < n; i++)
    {
        cin >> s;
        niz.push_back(s);
    }

    long long index = -1, o = 0;
    long long levo = 0, desno = 0;
    for (long long i = 0; i < q; i++)
    {
        o = 0;
        levo = 0;
        desno = 0;
        cin >> p;

        index = find_index(niz, p, levo, desno);

        if (index != -1)
        {
            if (desno < levo)
            {
                o += (levo - desno) - 1;
            }
            else if (desno > levo)
            {
                o += (desno - levo) - 1;
            }
        }
        else
        {
            o += niz.size();
        }
        odgovori.push_back(o);
    }

    for (long long i = 0; i < q; i++)
    {
        cout << odgovori[i] << endl;
    }
}